// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// Create TTS

var TTS = require('com.dmarie.tts');
var testTTS = TTS.createTTS();

var	TTSOkay = testTTS.setLicense({
	'userId':'0x00000000', // YOU MUST OBTAIN A VALID USERID from Acapela
	'password':'0x00000000', // YOU MUST OBTAIN A VALID PASSWORD from Acapela
	'license':'license file from Acapela' // YOU MUST OBTAIN A VALID LICENSE from Acapela
	});

var dirArray = new Array('/sdcard/com.dmarie.tts.test/voices'); // path to voice location on device

var voices = testTTS.getVoicesList({
	'voiceDirPaths':dirArray
});

testTTS.load({
	'voice':voices[0]
});



// create tab group
var tabGroup = Titanium.UI.createTabGroup();

var tab1text = 'This is the TTS demo text for tab one. There was a quick brown fox who once jumped over a lazy dog.';
//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#fff'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Tab 1',
    window:win1
});

var label1 = Titanium.UI.createLabel({
	color:'#999',
	text:tab1text,
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

var infolabel = Titanium.UI.createLabel({
	color:'#999',
	text:"Language: "+testTTS.getLanguage()+" || Version: "+testTTS.getVersion(),
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto',
	left: 10,
	top: 50
	//center:{x: 240, y: 100}
})

win1.add(label1);
win1.add(infolabel);

var buttonwin1 = Titanium.UI.createButton({
	title:'Speak',
	//center:{ x: 240, y: 500},
	top: 10,
	left:10,
	width:100,
	height:50
});

function speakTabOne(e) {
	if(TTSOkay && !testTTS.isSpeaking())
	{
		testTTS.setSpeechRate({
			'speechRate':100
		});
		testTTS.speak({
			'text':tab1text
		});
	}
}

buttonwin1.addEventListener('click',speakTabOne);

win1.add(buttonwin1);

//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Tab 2',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Tab 2',
    window:win2
});

var label2text = 'Davy, davy, give me your answer, do. I\'m half crazy all for the love of you. It won\'t be a stylish marriage - I can\'t afford a carriage, But you\'d look sweet on the seat. Of a bicycle built for two.'
var speaktextlabel2 = 'Davy \\Pau=45\\ Davy \\Pau=80\\ give me your answer \\Pau=60\\ do \\Pau=85\\ I\'m half crazy \\Pau=75\\ all for the love of you \\Pau=65\\ It won\'t be a stylish \\Pau=55\\ marriage \\Pau=75\\ I can\'t afford a \\Pau=55\\ carriage \\Pau=80\\ But you\'d look sweet \\Pau=65\\ on the seat \\Pau=80\\ Of a bicycle built for two'

var label2 = Titanium.UI.createLabel({
	color:'#999',
	text:label2text,
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win2.add(label2);

var buttonwin2 = Titanium.UI.createButton({
	title:'Speak',
	//center:{ x: 240, y: 500},
	top:10,
	left:10,
	width:100,
	height:50
});

function speakTabTwo(e) {
	if(TTSOkay && !testTTS.isSpeaking())
	{
		testTTS.setSpeechRate({
			'speechRate':60
		});
		testTTS.speak({
			'text':speaktextlabel2
		});
	}
}

buttonwin2.addEventListener('click',speakTabTwo);

var buttonpause = Titanium.UI.createButton({
	title:'Pause',
	top: 10, 
	left: 110,
	//center:{x: 200,y: 550},
	width:80,
	height:50
});

function pause(e) {
	if(TTSOkay && testTTS.isSpeaking())
	{
		testTTS.pause();
	}
}

buttonpause.addEventListener('click',pause);

var buttonresume = Titanium.UI.createButton({
	title:'Resume',
	top:10, left:200,
	//center:{x: 300,y: 550},
	width:120,
	height:50
});

function resume(e) {
	if(TTSOkay && testTTS.isSpeaking())
	{
		testTTS.resume();
	}
}

buttonresume.addEventListener('click',resume);

win2.add(buttonwin2);
win2.add(buttonpause);
win2.add(buttonresume);

//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();


alert("voice list:" + voices.join("\n"));
